Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.runtime.parser.node
Class ASTEscape

    java.lang.Object
      org.apache.velocity.runtime.parser.node.SimpleNode
          org.apache.velocity.runtime.parser.node.ASTEscape

All Implemented Interfaces:
  Node, Renderable

public class ASTEscape
extends SimpleNode

This class is responsible for handling Escapes in VTL. Please look at the Parser.jjt file which is what controls the generation of this class.

Version:
  $Id: ASTEscape.java 731266 2009-01-04 15:11:20Z byron $
Author:
  Geir Magnusson Jr.

Field Summary
`String` | `val` Used by the parser

Fields inherited from class org.apache.velocity.runtime.parser.node.SimpleNode
`children, first, id, info, invalid, last, log, parent, parser, rsvc, state, templateName`

Constructor Summary
`ASTEscape(int id)`
`ASTEscape(Parser p, int id)`

Method Summary
`Object` | `init(InternalContextAdapter context, Object data)`
`Object` | `jjtAccept(ParserVisitor visitor, Object data)`
`boolean` | `render(InternalContextAdapter context, Writer writer)`

Methods inherited from class org.apache.velocity.runtime.parser.node.SimpleNode
`childrenAccept, dump, evaluate, execute, getColumn, getFirstToken, getInfo, getLastToken, getLine, getLocation, getRuntimeServices, getTemplateName, getType, isInvalid, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, literal, setFirstToken, setInfo, setInvalid, toString, toString, value`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### val

    public String val

  Used by the parser

Constructor Detail

### ASTEscape

    public ASTEscape(int id)

Parameters:
  `id` -

### ASTEscape

    public ASTEscape(Parser p,
                     int id)

Parameters:
  `p` -
  `id` -

Method Detail

### jjtAccept

    public Object jjtAccept(ParserVisitor visitor,
                            Object data)

  Specified by:
    `jjtAccept` in interface `Node`
  Overrides:
    `jjtAccept` in class `SimpleNode`
  See Also:
    `SimpleNode.jjtAccept(org.apache.velocity.runtime.parser.node.ParserVisitor, java.lang.Object)`

### init

    public Object init(InternalContextAdapter context,
                       Object data)

  Specified by:
    `init` in interface `Node`
  Overrides:
    `init` in class `SimpleNode`
  See Also:
    `SimpleNode.init(org.apache.velocity.context.InternalContextAdapter, java.lang.Object)`

### render

    public boolean render(InternalContextAdapter context,
                          Writer writer)
                   throws IOException

  Specified by:
    `render` in interface `Node`
  Overrides:
    `render` in class `SimpleNode`
  Throws:
    `IOException`
  See Also:
    `SimpleNode.render(org.apache.velocity.context.InternalContextAdapter, java.io.Writer)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Apache Software Foundation. All Rights Reserved.